GET /one-get-session¶
Summary¶
Source repository:
jef-systems/jef-one-backendSource SHA:
e96c5a3e498688e508b48a6c244ebbcb28dec45fSource run id:
25680569267Module:
OneLambda function:
jef-one-get-sessionHTTP method:
GETInvocation mode:
syncPackage mode:
with-packagesAPI category:
One Complex With Package Sync GET APIsAPI path:
/one-get-sessionEndpoint URL:
https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-get-sessionDocumentation scope:
lambda-complex-with-packages
Sync Read Rule¶
This GET API is documented as a direct synchronous read path.
Description¶
Synchronously retrieves one jef-one session by session_id.
Payload Example¶
{
"session_id": "session-00001"
}
Payload Schema¶
{
"session_id": "string"
}
Response Schema¶
{
"is_accepted": "boolean",
"message": "string",
"session_id": "string",
"item": "object",
"allowed_method": "string",
"error_type": "string",
"error_code": "string",
"errors": "array",
"error": "string"
}
CMD curl¶
curl -X GET "https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-get-session"
PowerShell curl¶
curl.exe -X GET "https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-get-session"